package vip.xiaonuo.write.service;

import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.write.entity.WriteUnqualified;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.write.param.WriteUnqualifiedEditParam;
import vip.xiaonuo.write.param.WriteUnqualifiedPageParam;
import vip.xiaonuo.write.param.WriteUnqualifiedParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 不合格品台账 服务类
 * </p>
 *
 * @author author
 * @since 2025-01-02
 */
public interface IWriteUnqualifiedService extends IService<WriteUnqualified> {

    void add(WriteUnqualifiedParam param);

    void update(WriteUnqualifiedEditParam editParam);

    CommonResult page(WriteUnqualifiedPageParam pageParam);

    void delete(Map<String,String> paramsMap);
}
